package com.prettyAccess.rewrite;

import org.ocpsoft.rewrite.config.Condition;
import org.ocpsoft.rewrite.context.EvaluationContext;
import org.ocpsoft.rewrite.event.Rewrite;
import org.ocpsoft.rewrite.servlet.config.Path;

public abstract class Resources implements Condition
{
   public static Condition excluded()
   {
      return new Resources() {
         @Override
         public boolean evaluate(final Rewrite event, final EvaluationContext context)
         {
            return Path.matches(".*")
                     .andNot(Path.matches(".*javax\\.faces\\.resource.*"))
                     .andNot(Path.matches("/logout"))
                     .andNot(Path.matches("/rfRes/.*")).evaluate(event, context);
         }
      };
   }

   public static Condition included()
   {
      return new Resources() {
         @Override 
         public boolean evaluate(final Rewrite event, final EvaluationContext context)
         {
            return Path.matches(".*javax\\.faces\\.resource.*")
                     .or(Path.matches("/logout"))
                     .or(Path.matches("/rfRes/.*")).evaluate(event, context);
         }


      };
   }
}

